///
/// main.cpp
/// CSimpleTranceiver Test Driver
///
/// Isaac Gerg
///

// System includes
#include <iostream>
#include <string>
#include <vector>
#include <stdlib.h>

using namespace std;

// Project includes
#include "typedefs.h"
#include "SimpleTransceiver.h"

//--------------------------------------------------------------------------------------------------
int main()
{
  CSimpleTransceiver myTransceiver;

  // Posts a 100 sample burst to the tx queue every 2 seconds.

  Int32 sleepTimeMs = 2000;
  for (Int32 k=0;k<3;++k)
  {
      boost::this_thread::sleep(boost::posix_time::milliseconds(sleepTimeMs));
      myTransceiver.postBurst(100);
  }

  return 0;
}
//--------------------------------------------------------------------------------------------------

